Bug 93845 - SIDEBAR: Checkbox to enable/disable style previews in the Styles and Formatting tab
Summary: SIDEBAR: Checkbox to enable/disable style previews in the Styles and Formatti...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Susobhan Ghosh
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Styles-and-Formatting
  Show dependency treegraph
 
Reported: 2015-09-02 00:15 UTC by Yousuf Philips (jay)
Modified: 2017-05-10 14:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-09-02 00:15:39 UTC
Tomaz implemented a system setting to enable/disable style previews in the Styles and Formatting tab (bug 91495), but this is only accessible through the expert configuration setting '/org.openoffice.Office.Common/StylesAndFormatting Preview' and should be made easily available within the sidebar as a checkbox, similar to this mockup (attachment 115020 [details]).
Comment 1 Commit Notification 2016-08-01 13:30:33 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0380a6408030ad9db85b4be81095219d5572749b

tdf#93845: Style Preview Checkbox for Styles & Formatting sidebar

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.